pcl::NarfKeypoint::Parameters Struct Reference

Parameters used in this class. More...

`#include <pcl/keypoints/narf_keypoint.h>`

## Public Member Functions

| Parameters ()

## Public Attributes

float | support_size
| This defines the area 'covered' by an interest point (in meters) More...
int | max_no_of_interest_points
| The maximum number of interest points that will be returned. More...
float | min_distance_between_interest_points
| Minimum distance between maximas (this is a factor for support_size, i.e. More...
float | optimal_distance_to_high_surface_change
| The distance we want keep between keypoints and areas of high surface change (this is a factor for support_size, i.e., the distance is optimal_distance_to_high_surface_change*support_size) More...
float | min_interest_value
| The minimum value to consider a point as an interest point. More...
float | min_surface_change_score
| The minimum value of the surface change score to consider a point. More...
int | optimal_range_image_patch_size
| The size (in pixels) of the image patches from which the interest value should be computed. More...
float | distance_for_additional_points
| All points in this distance to a found maximum, that are above min_interest_value are also added as interest points (this is a factor for support_size, i.e. More...
bool | add_points_on_straight_edges
| If this is set to true, there will also be interest points on straight edges, e.g., just indicating an area of high surface change. More...
bool | do_non_maximum_suppression
| If this is set to false there will be much more points (can be used to spread points over the whole scene (combined with a low min_interest_value)) More...
bool | no_of_polynomial_approximations_per_point
| If this is >0, the exact position of the interest point is determined using bivariate polynomial approximations of the interest values of the area. More...
int | max_no_of_threads
| The maximum number of threads this code is allowed to use with OPNEMP. More...
bool | use_recursive_scale_reduction
| Try to decrease runtime by extracting interest points at lower reolution in areas that contain enough points, i.e., have lower range. More...
bool | calculate_sparse_interest_image
| Use some heuristics to decide which areas of the interest image can be left out to improve the runtime. More...

## Detailed Description

Parameters used in this class.

Definition at line 73 of file narf_keypoint.h.

## Constructor & Destructor Documentation

## Parameters()

pcl::NarfKeypoint::Parameters::Parameters | ( |  | ) |

inline

Definition at line 75 of file narf_keypoint.h.

## Member Data Documentation

## add_points_on_straight_edges

bool pcl::NarfKeypoint::Parameters::add_points_on_straight_edges

If this is set to true, there will also be interest points on straight edges, e.g., just indicating an area of high surface change.

Definition at line 103 of file narf_keypoint.h.

## calculate_sparse_interest_image

bool pcl::NarfKeypoint::Parameters::calculate_sparse_interest_image

Use some heuristics to decide which areas of the interest image can be left out to improve the runtime.

Definition at line 114 of file narf_keypoint.h.

## distance_for_additional_points

float pcl::NarfKeypoint::Parameters::distance_for_additional_points

All points in this distance to a found maximum, that are above min_interest_value are also added as interest points (this is a factor for support_size, i.e.

the distance is distance_for_additional_points*support_size)

Definition at line 99 of file narf_keypoint.h.

Referenced by pcl::operator<<().

## do_non_maximum_suppression

bool pcl::NarfKeypoint::Parameters::do_non_maximum_suppression

If this is set to false there will be much more points (can be used to spread points over the whole scene (combined with a low min_interest_value))

Definition at line 105 of file narf_keypoint.h.

## max_no_of_interest_points

int pcl::NarfKeypoint::Parameters::max_no_of_interest_points

The maximum number of interest points that will be returned.

Definition at line 84 of file narf_keypoint.h.

## max_no_of_threads

int pcl::NarfKeypoint::Parameters::max_no_of_threads

The maximum number of threads this code is allowed to use with OPNEMP.

Definition at line 111 of file narf_keypoint.h.

## min_distance_between_interest_points

float pcl::NarfKeypoint::Parameters::min_distance_between_interest_points

Minimum distance between maximas (this is a factor for support_size, i.e.

the distance is min_distance_between_interest_points*support_size)

Definition at line 85 of file narf_keypoint.h.

Referenced by pcl::operator<<().

## min_interest_value

float pcl::NarfKeypoint::Parameters::min_interest_value

The minimum value to consider a point as an interest point.

Definition at line 92 of file narf_keypoint.h.

Referenced by pcl::operator<<().

## min_surface_change_score

float pcl::NarfKeypoint::Parameters::min_surface_change_score

The minimum value of the surface change score to consider a point.

Definition at line 93 of file narf_keypoint.h.

## no_of_polynomial_approximations_per_point

bool pcl::NarfKeypoint::Parameters::no_of_polynomial_approximations_per_point

If this is >0, the exact position of the interest point is determined using bivariate polynomial approximations of the interest values of the area.

Definition at line 108 of file narf_keypoint.h.

## optimal_distance_to_high_surface_change

float pcl::NarfKeypoint::Parameters::optimal_distance_to_high_surface_change

The distance we want keep between keypoints and areas of high surface change (this is a factor for support_size, i.e., the distance is optimal_distance_to_high_surface_change*support_size)

Definition at line 88 of file narf_keypoint.h.

## optimal_range_image_patch_size

int pcl::NarfKeypoint::Parameters::optimal_range_image_patch_size

The size (in pixels) of the image patches from which the interest value should be computed.

This influences, which range image is selected from the scale space to compute the interest value of a pixel at a certain distance.

Definition at line 94 of file narf_keypoint.h.

## support_size

float pcl::NarfKeypoint::Parameters::support_size

This defines the area 'covered' by an interest point (in meters)

Definition at line 83 of file narf_keypoint.h.

Referenced by pcl::operator<<().

## use_recursive_scale_reduction

bool pcl::NarfKeypoint::Parameters::use_recursive_scale_reduction

Try to decrease runtime by extracting interest points at lower reolution in areas that contain enough points, i.e., have lower range.

Definition at line 112 of file narf_keypoint.h.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/keypoints/include/pcl/keypoints/narf_keypoint.h